<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core" xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="formless">
			<p:dialog id="infodialog" modal="true" widgetVar="infodialog">
				<f:facet name="header">
					<h:outputText value="#{reportModel.showReportBean.name}" />
				</f:facet>
				<h:panelGrid columns="2" rowClasses="odd, even" columnClasses="table-cell-key, table-cell-value" styleClass="max90vw">
					<h:outputText value="#{facesContext.translate('label.report.name')}" />
					<h:outputText value="#{reportModel.showReportBean.name}" />
					<h:outputText value="#{facesContext.translate('label.report.description')}" />
					<h:outputText value="#{reportModel.showReportBean.description}" />
					<h:outputText value="#{facesContext.translate('label.report.analysistemplate')}" />
					<h:outputText value="#{reportModel.showReportBean.functionlistName}" />
					<h:outputText value="#{facesContext.translate('label.analysis.matrix.variablegroup')}" />
					<h:outputText value="#{reportModel.showReportBean.variablegroupName}" />
					<h:outputText value="#{facesContext.translate('label.report.generate.started')}" />
					<h:outputText value="#{reportModel.showReportBean.started}">
						<f:convertDateTime pattern="dd.MM.yyyy HH:mm:ss" />
					</h:outputText>
					<h:outputText value="#{facesContext.translate('label.report.generate.stopped')}" />
					<h:outputText value="#{reportModel.showReportBean.stopped}">
						<f:convertDateTime pattern="dd.MM.yyyy HH:mm:ss" />
					</h:outputText>
					<h:outputText value="#{facesContext.translate('label.report.generate.releases')}" />
					<ui:fragment>
						<ui:repeat value="#{reportModel.showReportBean.releases}" var="rel" rendered="#{reportModel.showReportBean.releases != null}">
							<h:outputText value="#{rel.name}" styleClass="squarebadge" />
						</ui:repeat>
					</ui:fragment>
					<h:outputText value="#{facesContext.translate('label.report.intervals')}" />
					<ui:fragment>
						<ui:repeat value="#{reportModel.showReportBean.intervals}" var="i" rendered="#{reportModel.showReportBean.intervals != null}">
							<h:outputText value="#{i.string}" styleClass="squarebadge" />
						</ui:repeat>
					</ui:fragment>
				</h:panelGrid>
				<f:facet name="footer">
					<div class="center" style="width: 100%">
						<p:button value="#{facesContext.translate('button.ok')}" onclick="PF('infodialog').hide()" />
					</div>
				</f:facet>
			</p:dialog>
		</ui:define>
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('label.instruction.report.definition.choose')}">
				<p:dataTable id="reports" value="#{reportModel.reports}" var="r">
					<p:column headerText="#{facesContext.translate('label.report.id')}" sortBy="#{r.pk}" filterBy="#{r.pk}" filterMatchMode="contains" styleClass="column-integer-10k">
						<p:commandLink id="btn_showpk" action="#{reportController.toShow(r)}" value="➜ #{r.pk}" ajax="false" onclick="ship.processing()" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.name')}" sortBy="#{r.name}" filterBy="#{r.name}" filterMatchMode="contains" styleClass="column-name">
						<h:outputText value="#{r.name}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.analysis.matrix.variablegroup')}" sortBy="#{r.vargroupname}" filterBy="#{r.vargroupname}" filterMatchMode="contains" styleClass="column-name">
						<h:outputText value="#{r.vargroupname}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.report.generate.releases')}" styleClass="column-name">
						<ui:repeat value="#{r.releases}" var="rel" rendered="#{r.releases != null}">
							<h:outputText value="#{rel.name}" styleClass="squarebadge" />
						</ui:repeat>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.report.generate.stopped')}" sortBy="#{r.stopped}" styleClass="column-datetime">
						<h:outputText value="#{r.stopped}">
							<f:convertDateTime pattern="dd.MM.yyyy HH:mm" />
							<!-- TODO: Should this be localized? -->
						</h:outputText>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}" styleClass="column-three-buttons">
						<ship:buttongroup>
							<p:commandButton id="btn_info" action="#{reportController.doShow(r)}" title="#{facesContext.translate('button.show')}" icon="fa fa-info-circle" oncomplete="ship.processed();PF('infodialog').show()" onclick="ship.processing()" update="infodialog"
								styleClass="iconbutton" rendered="#{profile.hasPrivilege('reportreader')}" />
              				<p:commandButton id="btn_select" action="#{reportController.toShow(r)}" title="#{facesContext.translate('button.select')}" icon="fa fa-folder-open-o" styleClass="iconbutton" ajax="false" rendered="#{profile.hasPrivilege('reportwriter')}" />
							<ship:removeButton id="btn_remove" action="#{reportController.doRemoveReport(r)}" value="" tooltip="#{facesContext.translate('button.remove')}" title="#{facesContext.translate('title.delete.approve')}"
								approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}" rendered="#{profile.hasPrivilege('reportwriter')}">
								<h:outputText value="#{facesContext.translate('confirmation.delete', r.name)}" />
							</ship:removeButton>
						</ship:buttongroup>
					</p:column>
				</p:dataTable>
			</p:panel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_add" action="#{reportController.toAdd}" value="#{facesContext.translate('button.add.report')}" immediate="true" ajax="false" rendered="#{profile.hasPrivilege('reportwriter')}" />
			<p:commandButton id="btn_clone" action="#{reportController.toClone}" value="#{facesContext.translate('button.clone.report')}" immediate="true" ajax="false" rendered="#{profile.hasPrivilege('reportwriter')}" />
		</ui:define>
	</ui:composition>
</h:body>
</html>